<?php
/**
 * @category   FiloBlu
 * @package    FiloBlu_InstagramFeed
 *
 * @copyright  Copyright (c) 2017 FiloBlu (http://www.filoblu.com/)
 */

namespace FiloBlu\InstagramFeed\Model\Config\Source;

class Resolution implements \Magento\Framework\Option\ArrayInterface
{
	protected  $_blockModel;

    /**
     * @param \Magento\Cms\Model\Block $blockModel
     */
    public function __construct(
    	\Magento\Cms\Model\Block $blockModel
    	) {
    	$this->_groupModel = $blockModel;
    }

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
    	$options = [
            ['label' =>__('150x150'), 'value' => 0 ],
            ['label' =>__('240x240'), 'value' => 1 ],
            ['label' =>__('320x320'), 'value' => 2 ],
            ['label' =>__('480x480'), 'value' => 3 ],
            ['label' =>__('640x640'), 'value' => 4 ]

        ];
        array_unshift($options, array(
                'value' => '',
                'label' => '',
                ));
        return $options;
    }
}
